ALSA project - the C library reference

Functions | Variables
error.c File Reference

Error code handling routines. More...

## Functions
const char * | snd_strerror (int errnum)
| Returns the message for an error code. More...
snd_local_error_handler_t | snd_lib_error_set_local (snd_local_error_handler_t func)
| Install local error handler. More...
int | snd_lib_error_set_handler (snd_lib_error_handler_t handler)
| Sets the error handler. More...
const char * | snd_asoundlib_version (void)
| Returns the ALSA sound library version in ASCII format. More...
size_t | snd_strlcpy (char *dst, const char *src, size_t size)
| Copy a C-string into a sized buffer. More...

## Variables
snd_lib_error_handler_t | snd_lib_error = snd_lib_error_default
snd_lib_error_handler_t | snd_err_msg = snd_err_msg_default

## Detailed Description

Error code handling routines.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  1998-2001

Error code handling routines.

## Function Documentation

## ◆ snd_lib_error_set_local()

snd_local_error_handler_t snd_lib_error_set_local | ( | snd_local_error_handler_t | func | ) |

Install local error handler.

Parameters

  func | The local error handler function

Return values

  Previous | local error handler function

## ◆ snd_strlcpy()

size_t snd_strlcpy | ( | char * | dst,
|  | const char * | src,
|  | size_t | size
| ) |  |

Copy a C-string into a sized buffer.

Parameters

  dst | Where to copy the string to
  src | Where to copy the string from
  size | Size of destination buffer

Return values

  The | source string length

The result is always a valid NUL-terminated string that fits in the buffer (unless, of course, the buffer size is zero). It does not pad out the result like strncpy() does.

## Variable Documentation

## ◆ snd_err_msg

snd_lib_error_handler_t snd_err_msg = snd_err_msg_default

The ALSA error message handler